## restricted-ssh-commands 0.3

=== Makefile ===
PREFIX=/usr

VERSION = 0.3
DATE = 2015-12-08

all:

clean:
	rm -rf restricted-ssh-commands.1 test

test/restricted-ssh-commands: restricted-ssh-commands
	mkdir -p test
	sed 's@config_file="/etc@config_file="$${TEST_ROOT-}/etc@' $^ > $@
	chmod +x $@

check: test/restricted-ssh-commands
	./test-restricted-ssh-commands

%.1: %.pod
	pod2man --center=" " --release="restricted-ssh-commands" -d "$(DATE)" $^ $@

doc: restricted-ssh-commands.1

install: doc
	install -D -m 755 restricted-ssh-commands $(DESTDIR)$(PREFIX)/lib/restricted-ssh-commands
	install -D -m 644 restricted-ssh-commands.1 $(DESTDIR)$(PREFIX)/share/man/man1/restricted-ssh-commands.1

%.tar.xz: LICENSE Makefile NEWS restricted-ssh-commands restricted-ssh-commands.pod test-restricted-ssh-commands
	tar -cJf $@ --transform 's,^,restricted-ssh-commands-$(VERSION)/,' $^

dist: restricted-ssh-commands-$(VERSION).tar.xz

.PHONY: all clean check doc dist install

=== debian/changelog ===
restricted-ssh-commands (0.3-2) unstable; urgency=medium

  * Correct path in package description. Thanks to Stefan Kisdaroczi.
    (Closes: #839737)
  * Bump Standards-Version to 3.9.8 (no changes needed)
  * Correct architecture from any to all

 -- Benjamin Drung <bdrung@debian.org>  Fri, 07 Oct 2016 16:34:25 +0200

restricted-ssh-commands (0.3-1) unstable; urgency=medium

  * New upstream release.
    - doc: Clarify regular expression type (POSIX ERE)
    - Execute command in user's shell (instead of calling it directly)
    - Always print denied command

 -- Benjamin Drung <bdrung@debian.org>  Tue, 08 Dec 2015 10:33:37 +0100

restricted-ssh-commands (0.2-1) unstable; urgency=medium

  * New upstream release.
    - Fix passing the config to the command as stdin

 -- Benjamin Drung <bdrung@debian.org>  Wed, 07 Oct 2015 16:40:01 +0200

restricted-ssh-commands (0.1-1) unstable; urgency=medium

  * Initial release (Closes: #798639)

 -- Benjamin Drung <bdrung@debian.org>  Fri, 02 Oct 2015 13:47:49 +0200

=== debian/control ===
Source: restricted-ssh-commands
Section: net
Priority: optional
Maintainer: Benjamin Drung <bdrung@debian.org>
Build-Depends: debhelper (>= 9),
               shunit2 (>= 2.1.6)
Standards-Version: 3.9.8
Homepage: https://github.com/bdrung/restricted-ssh-commands

Package: restricted-ssh-commands
Architecture: all
Depends: ${misc:Depends}
Description: Restrict SSH users to a predefined set of commands
 restricted-ssh-commands is intended to be called by SSH to restrict a
 user to only run specific commands. A list of allowed regular
 expressions can be configured in /etc/restricted-ssh-commands/. The
 requested command has to match at least one regular expression.
 Otherwise it will be rejected.
 .
 restricted-ssh-commands is useful to grant restricted access via SSH to
 do certain task. For example, it could allow a user to upload a Debian
 packages via scp and run reprepro processincoming.
 .
 Create a configuration file in /etc/restricted-ssh-commands/ and add
 following line to ~/.ssh/authorized_keys to use it
 .
    command="/usr/lib/restricted-ssh-commands",no-port-forwarding,
    no-X11-forwarding,no-agent-forwarding,no-pty ssh-rsa [...]

## restricted-ssh-commands 0.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 PREFIX=/usr
 
-VERSION = 0.3
-DATE = 2015-12-08
+VERSION = 0.4
+DATE = 2017-09-29
 
 all:

=== debian/changelog ===
restricted-ssh-commands (0.4-2) unstable; urgency=medium

  * First LivreTI release.
    - Set install path to /usr/libexec
    - Make changes to comply with new path

 -- Livre TI (Packages Automatic Signing Key) <livreti@livreti.com.br>  Wed, 25 Jan 2023 13:34:47 -0300

restricted-ssh-commands (0.4-1) unstable; urgency=medium

  * New upstream release.
    - Fix unsecure example configuration in man page (fixes #4, closes: #876392)
  * Bump Standards-Version to 4.1.1 (no changes needed)

 -- Benjamin Drung <bdrung@debian.org>  Mon, 02 Oct 2017 11:25:47 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Benjamin Drung <bdrung@debian.org>
 Build-Depends: debhelper (>= 9),
                shunit2 (>= 2.1.6)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/bdrung/restricted-ssh-commands
 
 Package: restricted-ssh-commands
@@ -24,5 +24,5 @@
  Create a configuration file in /etc/restricted-ssh-commands/ and add
  following line to ~/.ssh/authorized_keys to use it
  .
-    command="/usr/lib/restricted-ssh-commands",no-port-forwarding,
+    command="/usr/libexec/restricted-ssh-commands",no-port-forwarding,
     no-X11-forwarding,no-agent-forwarding,no-pty ssh-rsa [...]

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:

#	sed -i -e "s|/lib/restricted-ssh-commands|/libexec/restricted-ssh-commands|g" restricted-ssh-commands.pod Makefile
	dh_auto_install
